Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.checks
Class GenericIllegalRegexpCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
                      com.puppycrawl.tools.checkstyle.checks.GenericIllegalRegexpCheck

All Implemented Interfaces:
  Configurable, Contextualizable

Direct Known Subclasses:
  IllegalTokenTextCheck

public class GenericIllegalRegexpCheck
extends AbstractFormatCheck

A generic check for code problems, the user can search for any pattern. This is similar to a recursive grep, only that it's integrated in checkstyle.

Rationale: This Check can be used to prototype checks and to find common bad pratice such as calling ex.printStacktrace(), System.out.println(), System.exit(), etc.

An example of how to configure the check for calls to `System.out.println` is:

     <module name="GenericIllegalRegexp">
        <property name="format" value="System\.out\.println"/>
     </module>

Author:
  lkuehne, Bill Schneider, Daniel Grenner

Constructor Summary
`GenericIllegalRegexpCheck()` Instantiates an new GenericIllegalRegexpCheck.

Method Summary
`void` | `beginTree(DetailAST aRootAST)` Called before the starting to process a tree.
`int[]` | `getDefaultTokens()` Returns the default token a check is interested in.
`java.lang.String` | `getMessage()` Getter for message property.
`org.apache.regexp.RE` | `getRegexp()`
`void` | `setIgnoreCase(boolean aCaseInsensitive)` Set whether or not the match is case sensitive.
`void` | `setIgnoreComments(boolean aIgnoreComments)` Sets if comments should be ignored.
`void` | `setMessage(java.lang.String aMessage)` Setter for message property.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.AbstractFormatCheck
`getFormat, setFormat`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`destroy, finishTree, getAcceptableTokens, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens, visitToken`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getMessageBundle, getSeverity, getSeverityLevel, log, log, log, log, log, log, log, log, log, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericIllegalRegexpCheck

    public GenericIllegalRegexpCheck()

  Instantiates an new GenericIllegalRegexpCheck.

Method Detail

### setMessage

    public void setMessage(java.lang.String aMessage)

  Setter for message property.

  Parameters:
    `aMessage` - custom message which should be used to report about violations.

### getMessage

    public java.lang.String getMessage()

  Getter for message property.

  Returns:
    custom message which should be used to report about violations.

### setIgnoreCase

    public void setIgnoreCase(boolean aCaseInsensitive)

  Set whether or not the match is case sensitive.

  Parameters:
    `aCaseInsensitive` - true if the match is case insensitive.

### setIgnoreComments

    public void setIgnoreComments(boolean aIgnoreComments)

  Sets if comments should be ignored.

  Parameters:
    `aIgnoreComments` - True if comments should be ignored.

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `Check`

### beginTree

    public void beginTree(DetailAST aRootAST)

  Description copied from class: `Check`
  Called before the starting to process a tree. Ideal place to initialise information that is to be collected whilst processing a tree.

  Overrides:
    `beginTree` in class `Check`
  Parameters:
    `aRootAST` - the root of the tree
  See Also:
    `Check`

### getRegexp

    public org.apache.regexp.RE getRegexp()

  Overrides:
    `getRegexp` in class `AbstractFormatCheck`
  Returns:
    the regexp to match against

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD